Arduino

Reference Language | Libraries | Comparison | Changes

String

## substring()

#### Description

Get a substring of a String. The starting index is inclusive (the corresponding character is included in the substring), but the optional ending index is exclusive (the corresponding character is not included in the substring). If the ending index is omitted, the substring continues to the end of the String.

#### Syntax

string.substring(from)
string.substring(from, to)

#### Parameters

string: a variable of type String
from: the index to start the substring at
to (optional): the index to end the substring before

#### Returns

the substring

#### Example

- StringSubstring

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes